%define name    FlvToMp3          
%define version 1.2.1     
%define release %mkrel 4          


Name:		%name
Version: 	%version
Release: 	%release
Source0: 	http://sourceforge.net/projects/flvtomp3/files/flvtomp3/FlvToMp3_1.2.1_source.tar.xz
Summary:	Extracts sound from flv files
License: 	GPLv2+
Group: 		Graphical desktop/KDE4
URL: 		http://www.kde-apps.org/content/show.php/FlvToMp3?content=100248
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	kdelibs4-devel
Requires:	qt4-common
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1


%description 
FlvToMp3 is a program which permit you to extract the sound track of a .flv file without loss of quality.
The .mp3 file is generated diectly from the .flv file without reencoding (you needn't ffmpeg).
Besides to permit to save the quality of the audio track, the extraction is very fast and easy :-)

%prep
%setup -q -n %name
qmake FlvToMp3.pro
make

%install
install -dm 755 %{buildroot}%{_datadir}/%{name}
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -m 644 Translations/FlvToMp3_*.qm  %{buildroot}%{_datadir}/%{name}


# localisations are only getting loaded if available in the same pwd as binary
ln -s %{_datadir}/%{name}/FlvToMp3_cz.qm %{buildroot}/%{_bindir}/FlvToMp3_cz.qm
ln -s %{_datadir}/%{name}/FlvToMp3_es.qm %{buildroot}/%{_bindir}/FlvToMp3_es.qm
ln -s %{_datadir}/%{name}/FlvToMp3_fr.qm %{buildroot}/%{_bindir}/FlvToMp3_fr.qm
ln -s %{_datadir}/%{name}/FlvToMp3_it.qm %{buildroot}/%{_bindir}/FlvToMp3_it.qm


# Create menu entry
 
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat > $RPM_BUILD_ROOT%{_datadir}/applications/flvtomp3.desktop <<EOF
[Desktop Entry]
Name=Flvtomp3
GenericName=Sound extractor from flv
Comment=Sound extractor from flv
Exec=FlvToMp3
Icon=/usr/share/icons/oxygen/32x32/actions/voicecall.png
Terminal=false
Encoding=UTF-8
Type=Application
Categories=Audio;X-MandrivaLinux-Multimedia-Sound
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt
%{_bindir}/FlvToMp3
%{_bindir}/FlvToMp3_*.qm
%{_kde_datadir}/applications/flvtomp3.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/FlvToMp3_*.qm

%changelog
* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 1.2.1-3pclos2010
- rebuild for 4.5.1

* Sat Oct 03 2009 Texstar <Texstar at gmail.com> 1.2.1-2pclos2010
- rebuild

* Wed Aug 26 2009 Texstar <texstar at gmail.com> 1.2.1-1pclos2009
- Create

